Subject: Re: Read in /dev/port with Segmentation Fault

From: Matt Porter <[email-masked]>
Date: Thu, 9 Jun 2005 02:12:51 -0700

On Thu, Jun 09, 2005 at 09:30:43AM +0200, [email-masked] wrote:
> Hi all,
> 
> I want to access to IO ports on a MPC885. The iopl() is not implemented, in
> my distribution, to use inw() outw().
> So I use /dev/port. It works for open("/dev/port",..) and lseek() but when
> i do a read()  i have a segmentation fault. I gave all the right to
> /dev/port
> Does anybody have an idea ?

You are trying to use x86-specific interfaces to x86-specific IO space.
By "IO ports" you must mean memory mapped I/O registers since you are
on PPC. From userspace, use mmap() to map physical address space to a
user virtual address range.

-Matt